%define faf_version 0.11
%define bootstrap_gitrev 59503
%define bootstrap_version 2.0.2
%define flot_version 0.7
%define jquery_version 1.7.2
%define select2_version 2.1

Name: faf
Version: %{faf_version}
Release: 201410161208_dc009bd3029fbd67ab516f7e56d9733101c35173%{?dist}
Summary: Software Problem Analysis Tool
Group: Development/Libraries
License: GPLv3+
URL: https://github.com/abrt/faf/
Source0: https://fedorahosted.org/released/faf/faf-%{faf_version}.tar.xz

BuildArch: noarch

%if 0%{?rhel:%{rhel} < 7}
%define sqlalchemy python-sqlalchemy0.7
%define python_argparse python-argparse
%define django Django14
%else
%define sqlalchemy python-sqlalchemy >= 0.7
%define python_argparse python
%define django python-django
%endif

Requires(pre): shadow-utils

Requires: %{python_argparse}
Requires: python-setuptools
Requires: %{sqlalchemy}
Requires: rpm-python

BuildRequires: autoconf
BuildRequires: intltool
BuildRequires: libtool

# requirements for tests
BuildRequires: createrepo
BuildRequires: %{python_argparse}
BuildRequires: packagedb-cli
BuildRequires: python-setuptools
BuildRequires: python-unittest2
BuildRequires: python-bugzilla
BuildRequires: rpm-python
BuildRequires: %{sqlalchemy}
BuildRequires: yum
BuildRequires: satyr-python >= 0.9
# webui2
BuildRequires: python-flask >= 0.10
BuildRequires: python-flask-wtf
BuildRequires: python-flask-openid
BuildRequires: python-flask-rstpages
BuildRequires: python-flask-sqlalchemy
BuildRequires: python-jinja2 >= 2.7

%description
faf is a programmable tool for analysis of packages, packaging
issues, bug reports and other artifacts produced during software
development.

%package -n abrt-server
Summary: Tools for manipulating ABRT Server instance
Requires: yum-utils
# Intentionally not requiring faf(-*) here

%description -n abrt-server
A set of tools for installing and manipulating ABRT Server instance

%package webui
Summary: %{name}'s WebUI
Requires: %{name} = %{faf_version}
Requires: %{name}-webui-bootstrap = %{bootstrap_version}
Requires: %{name}-webui-flot = %{flot_version}
Requires: %{name}-webui-jquery = %{jquery_version}
Requires: %{name}-webui-select2 = %{select2_version}
Requires: %{django}
Requires: httpd
Requires: mod_wsgi
Requires: python-django-dajax
Requires: python-django-dajaxice
Requires: python-django-openid-auth

%description webui
A WebUI presenting the data processed by %{name}.

%package webui-bootstrap
Version: %{bootstrap_version}
Release: 201410161208_dc009bd3029fbd67ab516f7e56d9733101c35173%{?dist}
License: ASL 2.0
Url: https://github.com/twitter/bootstrap
Summary: HTML, CSS, and JS toolkit

%description webui-bootstrap
Bootstrap provides simple and flexible HTML, CSS, and Javascript
for popular user interface components and interactions. In other words,
it's a front-end toolkit for faster, more beautiful web development.

%package webui-flot
Version: %{flot_version}
Release: 201410161208_dc009bd3029fbd67ab516f7e56d9733101c35173%{?dist}
License: MIT
Url: http://code.google.com/p/flot/
Summary: A pure Javascript plotting library for jQuery

%description webui-flot
Flot is a pure Javascript plotting library for jQuery.  It produces
graphical plots of arbitrary datasets on-the-fly client-side.  The
focus is on simple usage (all settings are optional), attractive looks
and interactive features like zooming and mouse tracking.

%package webui-jquery
Version: %{jquery_version}
Release: 201410161208_dc009bd3029fbd67ab516f7e56d9733101c35173%{?dist}
License: MIT and GPL+
Url: http://www.jquery.com/
Summary: Fast, concise library that simplifies how you use JavaScript

%description webui-jquery
jQuery is a fast, concise, JavaScript library that simplifies how you
traverse HTML documents, handle events, perform animations, and add
Ajax interactions to your web pages. jQuery is designed to change the
way that you write JavaScript.

%package webui-select2
Version: %{select2_version}
Release: 201410161208_dc009bd3029fbd67ab516f7e56d9733101c35173%{?dist}
License: ASL 2.0
Url: http://ivaynberg.github.com/select2/
Summary: jQuery based replacement for select boxes

%description webui-select2
Select2 is a jQuery based replacement for select boxes.
It supports searching, remote data sets, and infinite
scrolling of results. Look and feel of Select2 is
based on the excellent Chosen library.

%package webui2
Summary: %{name}'s WebUI rewrite
Requires: %{name} = %{faf_version}
Requires: httpd
Requires: mod_wsgi
Requires: python-flask >= 0.10
Requires: python-flask-wtf
Requires: python-flask-rstpages
Requires: python-flask-sqlalchemy
Requires: python-jinja2 >= 2.7

%description webui2
A WebUI rewrite

%package problem-coredump
Summary: %{name}'s coredump plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-coredump
A plugin for %{name} handling user-space binary crashes.

%package problem-java
Summary: %{name}'s java plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-java
A plugin for %{name} handling java problems.

%package problem-kerneloops
Summary: %{name}'s kerneloops plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-kerneloops
A plugin for %{name} handling kernel oopses.

%package problem-python
Summary: %{name}'s python plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description problem-python
A plugin for %{name} handling python scripts problems.

%package yum
Summary: %{name}'s yum plugin
Requires: %{name} = %{faf_version}
Requires: yum
Requires: yum-utils

%description yum
A plugin for %{name} implementing unified access to yum repositories.

%package opsys-centos
Summary: %{name}'s CentOS operating system plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-yum = %{faf_version}

%description opsys-centos
A plugin for %{name} implementing support for CentOS operating system.

%package opsys-fedora
Summary: %{name}'s Fedora operating system plugin
Requires: %{name} = %{faf_version}
Requires: packagedb-cli
Requires: koji

%description opsys-fedora
A plugin for %{name} implementing support for Fedora operating system.

%package opsys-rhel
Summary: %{name}'s Red Hat Enterprise Linux operating system plugin
Requires: %{name} = %{faf_version}

%description opsys-rhel
A plugin for %{name} implementing support
for Red Hat Enterprise Linux operating system.

%package action-save-reports
Summary: %{name}'s save-reports plugin
Requires: %{name} = %{faf_version}

%description action-save-reports
A plugin for %{name} implementing save-reports action

%package action-archive-reports
Summary: %{name}'s archive-reports plugin
Requires: %{name} = %{faf_version}
Requires: tar
Requires: xz

%description action-archive-reports
A plugin for %{name} implementing archive-reports action

%package action-create-problems
Summary: %{name}'s create-problems plugin
Requires: %{name} = %{faf_version}
Requires: satyr-python >= 0.9

%description action-create-problems
A plugin for %{name} implementing create-problems action

%package action-shell
Summary: %{name}'s shell plugin
Requires: %{name} = %{faf_version}
Requires: python-ipython-console

%description action-shell
A plugin for %{name} allowing to run IPython shell

%package action-pull-releases
Summary: %{name}'s pull-releases plugin
Requires: %{name} = %{faf_version}

%description action-pull-releases
A plugin for %{name} implementing pull-releases action

%package action-pull-reports
Summary: %{name}'s pull-reports plugin
Requires: %{name} = %{faf_version}

%description action-pull-reports
A plugin for %{name} implementing pull-reports action

%package action-pull-components
Summary: %{name}'s pull-components plugin
Requires: %{name} = %{faf_version}

%description action-pull-components
A plugin for %{name} implementing pull-components action

%package action-pull-associates
Summary: %{name}'s pull-associates plugin
Requires: %{name} = %{faf_version}

%description action-pull-associates
A plugin for %{name} implementing pull-associates action

%package action-find-components
Summary: %{name}'s find-components plugin
Requires: %{name} = %{faf_version}

%description action-find-components
A plugin for %{name} implementing find-components action

%package action-find-crash-function
Summary: %{name}'s find-crash-function plugin
Requires: %{name} = %{faf_version}

%description action-find-crash-function
A plugin for %{name} implementing find-crash-function action

%package action-repo
Summary: %{name}'s repo plugin
Requires: %{name} = %{faf_version}

%description action-repo
A plugin for %{name} implementing repoadd, repolist and reposync actions

%package action-retrace
Summary: %{name}'s retrace plugin
Requires: %{name} = %{faf_version}
Requires: binutils
Requires: elfutils >= 0.155

%description action-retrace
A plugin for %{name} implementing retrace action

%package action-arch
Summary: %{name}'s arch plugin
Requires: %{name} = %{faf_version}

%description action-arch
A plugin for %{name} implementing archadd action

%package action-kb
Summary: %{name}'s kb plugin
Requires: %{name} = %{faf_version}

%description action-kb
A plugin for %{name} implementing kbsoladd and kbsolshow actions

%package action-c2p
Summary: %{name}'s coredump to packages plugin
Requires: %{name} = %{faf_version}

%description action-c2p
A plugin for %{name} implementing c2p (coredump to packages) action

%package action-bugtracker
Summary: %{name}'s plugins for bugtracker administration
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-bugzilla = %{faf_version}

%description action-bugtracker
A plugin for bugtracker management

%package action-external-faf
Summary: %{name}'s external-faf plugin
Requires: %{name} = %{faf_version}

%description action-external-faf
A plugin for %{name} implementing extfaf* actions

%package action-external-faf-clone-bz
Summary: %{name}'s external-faf-clone-bz plugin
Requires: %{name} = %{faf_version}
Requires: %{name}-action-external-faf = %{faf_version}

%description action-external-faf-clone-bz
A plugin for %{name} implementing extfafclonebz action

%package action-add-compat-hashes
Summary: %{name}'s add-compat-hashes plugin
Requires: %{name} = %{faf_version}

%description action-add-compat-hashes
A plugin for %{name} implementing addcompathashes action

%package action-mark-probably-fixed
Summary: %{name}'s mark-probably-fixed plugin
Requires: %{name} = %{faf_version}

%description action-mark-probably-fixed
A plugin for %{name} implementing mark-probably-fixed action

%package action-stats
Summary: %{name}'s stats plugin
Requires: %{name} = %{faf_version}

%description action-stats
A plugin for %{name} implementing statistics generation

%package bugtracker-bugzilla
Summary: %{name}'s bugzilla support
Requires: %{name} = %{faf_version}
Requires: python-bugzilla

%description bugtracker-bugzilla
A plugin adding bugzilla support to %{name}

%package bugtracker-fedora-bugzilla
Summary: %{name}'s bugzilla support for Fedora
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-bugzilla = %{faf_version}

%description bugtracker-fedora-bugzilla
A plugin adding support for bugzilla used by Fedora

%package bugtracker-rhel-bugzilla
Summary: %{name}'s bugzilla support for RHEL
Requires: %{name} = %{faf_version}
Requires: %{name}-bugtracker-bugzilla = %{faf_version}

%description bugtracker-rhel-bugzilla
A plugin adding support for bugzilla used by Red Hat Enterprise Linux

%package migrations
Summary: %{name}'s database migrations
Requires: %{name} = %{faf_version}
Requires: python-alembic

%description migrations
Database migrations using alembic

%prep
%setup -q
./autogen.sh

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

# embedded action names
ln -s %{_bindir}/faf %{buildroot}%{_bindir}/faf-c2p

# /etc
mkdir -p %{buildroot}%{_sysconfdir}/faf
mkdir -p %{buildroot}%{_sysconfdir}/faf/plugins
mkdir -p %{buildroot}%{_sysconfdir}/faf/templates

# /usr/share
mkdir -p %{buildroot}%{_datadir}/faf/web/media
mkdir -p %{buildroot}%{_datadir}/faf/web/static

# /var/spool
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/lob
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/incoming
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/deferred
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/saved
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/reports/archive
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/incoming
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/deferred
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/saved
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/attachments/archive
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/dumpdirs
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/openid_store
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/web
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/web/tasks
mkdir -p %{buildroot}%{_localstatedir}/spool/faf/web/upload

# /var/log
mkdir -p %{buildroot}%{_localstatedir}/log/faf/

%check
make check || ( cat tests/test-suite.log ; cat tests/webfaf/test-suite.log )

%pre
# http://fedoraproject.org/wiki/Packaging:UsersAndGroups
getent group faf >/dev/null || groupadd --system faf
getent passwd faf >/dev/null || useradd --system -g faf -d /etc/faf -s /sbin/nologin faf
exit 0

%files
# /etc
%dir %{_sysconfdir}/faf
%dir %{_sysconfdir}/faf/plugins
%dir %{_sysconfdir}/faf/templates
%config(noreplace) %{_sysconfdir}/faf/faf.conf

# /var/spool
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/lob
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/incoming
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/saved
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/deferred
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/reports/archive
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/incoming
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/deferred
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/saved
%dir %attr(0775, faf, faf) %{_localstatedir}/spool/faf/attachments/archive

# /var/log
%dir %attr(0775, faf, faf) %{_localstatedir}/log/faf

# /usr/bin
%{_bindir}/faf

# /usr/lib/python*/pyfaf
%dir %{python_sitelib}/pyfaf
%{python_sitelib}/pyfaf/__init__.py*
%{python_sitelib}/pyfaf/checker.py*
%{python_sitelib}/pyfaf/cmdline.py*
%{python_sitelib}/pyfaf/common.py*
%{python_sitelib}/pyfaf/config.py*
%{python_sitelib}/pyfaf/local.py*
%{python_sitelib}/pyfaf/kb.py*
%{python_sitelib}/pyfaf/retrace.py*
%{python_sitelib}/pyfaf/rpm.py*
%{python_sitelib}/pyfaf/queries.py*
%{python_sitelib}/pyfaf/ureport.py*
%{python_sitelib}/pyfaf/ureport_compat.py*

%dir %{python_sitelib}/pyfaf/actions
%{python_sitelib}/pyfaf/actions/__init__.py*
%{python_sitelib}/pyfaf/actions/init.py*
%{python_sitelib}/pyfaf/actions/componentadd.py*
%{python_sitelib}/pyfaf/actions/opsysadd.py*
%{python_sitelib}/pyfaf/actions/opsysdel.py*
%{python_sitelib}/pyfaf/actions/opsyslist.py*
%{python_sitelib}/pyfaf/actions/releaseadd.py*
%{python_sitelib}/pyfaf/actions/releaselist.py*
%{python_sitelib}/pyfaf/actions/releasemod.py*
%{python_sitelib}/pyfaf/actions/match_unknown_packages.py*


%dir %{python_sitelib}/pyfaf/bugtrackers
%{python_sitelib}/pyfaf/bugtrackers/__init__.py*

%dir %{python_sitelib}/pyfaf/opsys
%{python_sitelib}/pyfaf/opsys/__init__.py*

%dir %{python_sitelib}/pyfaf/problemtypes
%{python_sitelib}/pyfaf/problemtypes/__init__.py*

%dir %{python_sitelib}/pyfaf/repos
%{python_sitelib}/pyfaf/repos/__init__.py*

%dir %{python_sitelib}/pyfaf/storage
%{python_sitelib}/pyfaf/storage/__init__.py*
%{python_sitelib}/pyfaf/storage/bugzilla.py*
%{python_sitelib}/pyfaf/storage/bugtracker.py*
%{python_sitelib}/pyfaf/storage/debug.py*
%{python_sitelib}/pyfaf/storage/events.py*
%{python_sitelib}/pyfaf/storage/externalfaf.py*
%{python_sitelib}/pyfaf/storage/kb.py*
%{python_sitelib}/pyfaf/storage/llvm.py*
%{python_sitelib}/pyfaf/storage/opsys.py*
%{python_sitelib}/pyfaf/storage/problem.py*
%{python_sitelib}/pyfaf/storage/project.py*
%{python_sitelib}/pyfaf/storage/report.py*
%{python_sitelib}/pyfaf/storage/symbol.py*
%{python_sitelib}/pyfaf/storage/user.py*

%dir %{python_sitelib}/pyfaf/storage/fixtures
%{python_sitelib}/pyfaf/storage/fixtures/__init__.py*
%{python_sitelib}/pyfaf/storage/fixtures/data.py*
%{python_sitelib}/pyfaf/storage/fixtures/randutils.py*

%dir %{python_sitelib}/pyfaf/utils
%{python_sitelib}/pyfaf/utils/__init__.py*
%{python_sitelib}/pyfaf/utils/contextmanager.py*
%{python_sitelib}/pyfaf/utils/date.py*
%{python_sitelib}/pyfaf/utils/decorators.py*
%{python_sitelib}/pyfaf/utils/format.py*
%{python_sitelib}/pyfaf/utils/parse.py*
%{python_sitelib}/pyfaf/utils/proc.py*
%{python_sitelib}/pyfaf/utils/web.py*

# /usr/share/faf
%dir %{_datadir}/faf
%{_datadir}/faf/fixtures/lob_download_location

%dir %{_datadir}/faf/fixtures/sql
%{_datadir}/faf/fixtures/sql/archs.sql
%{_datadir}/faf/fixtures/sql/archstags.sql
%{_datadir}/faf/fixtures/sql/buildarchs.sql
%{_datadir}/faf/fixtures/sql/builds.sql
%{_datadir}/faf/fixtures/sql/buildstags.sql
%{_datadir}/faf/fixtures/sql/buildsys.sql
%{_datadir}/faf/fixtures/sql/opsys.sql
%{_datadir}/faf/fixtures/sql/opsyscomponents.sql
%{_datadir}/faf/fixtures/sql/opsysreleases.sql
%{_datadir}/faf/fixtures/sql/opsysreleasescomponents.sql
%{_datadir}/faf/fixtures/sql/packages.sql
%{_datadir}/faf/fixtures/sql/taginheritances.sql
%{_datadir}/faf/fixtures/sql/tags.sql

%files -n abrt-server
%{_bindir}/abrt-server-install

%files webui
# /etc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/faf-web.conf
%config(noreplace) %{_sysconfdir}/faf/plugins/web.conf

# /usr/bin
%{_bindir}/faf-web

# /var/spool/faf
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/dumpdirs
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/web
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/web/tasks
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/web/upload

# /usr/lib/python*/pyfaf
%dir %{python_sitelib}/webfaf
%{python_sitelib}/webfaf/__init__.py*
%{python_sitelib}/webfaf/hub.wsgi
%{python_sitelib}/webfaf/menu.py*
%{python_sitelib}/webfaf/settings.py*
%{python_sitelib}/webfaf/urls.py*

%dir %{python_sitelib}/webfaf/common
%{python_sitelib}/webfaf/common/__init__.py*
%{python_sitelib}/webfaf/common/forms.py*
%{python_sitelib}/webfaf/common/queries.py*
%{python_sitelib}/webfaf/common/tests.py*
%{python_sitelib}/webfaf/common/utils.py*

%dir %{python_sitelib}/webfaf/dumpdirs
%{python_sitelib}/webfaf/dumpdirs/__init__.py*
%{python_sitelib}/webfaf/dumpdirs/forms.py*
%{python_sitelib}/webfaf/dumpdirs/urls.py*
%{python_sitelib}/webfaf/dumpdirs/views.py*

%dir %{python_sitelib}/webfaf/problems
%{python_sitelib}/webfaf/problems/__init__.py*
%{python_sitelib}/webfaf/problems/urls.py*
%{python_sitelib}/webfaf/problems/views.py*

%dir %{python_sitelib}/webfaf/query
%{python_sitelib}/webfaf/query/__init__.py*
%{python_sitelib}/webfaf/query/urls.py*
%{python_sitelib}/webfaf/query/views.py*

%dir %{python_sitelib}/webfaf/reports
%{python_sitelib}/webfaf/reports/__init__.py*
%{python_sitelib}/webfaf/reports/forms.py*
%{python_sitelib}/webfaf/reports/urls.py*
%{python_sitelib}/webfaf/reports/views.py*

%dir %{python_sitelib}/webfaf/services
%{python_sitelib}/webfaf/services/__init__.py*
%{python_sitelib}/webfaf/services/ajax.py*

%dir %{python_sitelib}/webfaf/stats
%{python_sitelib}/webfaf/stats/__init__.py*
%{python_sitelib}/webfaf/stats/urls.py*
%{python_sitelib}/webfaf/stats/views.py*

%dir %{python_sitelib}/webfaf/status
%{python_sitelib}/webfaf/status/__init__.py*
%{python_sitelib}/webfaf/status/urls.py*
%{python_sitelib}/webfaf/status/views.py*

%dir %{python_sitelib}/webfaf/summary
%{python_sitelib}/webfaf/summary/__init__.py*
%{python_sitelib}/webfaf/summary/urls.py*
%{python_sitelib}/webfaf/summary/views.py*

%dir %{python_sitelib}/webfaf/templates
%{python_sitelib}/webfaf/templates/*.html

%dir %{python_sitelib}/webfaf/templates/dumpdirs
%{python_sitelib}/webfaf/templates/dumpdirs/*.html

%dir %{python_sitelib}/webfaf/templates/openid
%{python_sitelib}/webfaf/templates/openid/*.html

%dir %{python_sitelib}/webfaf/templates/problems
%{python_sitelib}/webfaf/templates/problems/*.html

%dir %{python_sitelib}/webfaf/templates/reports
%{python_sitelib}/webfaf/templates/reports/*.html

%dir %{python_sitelib}/webfaf/templates/stats
%{python_sitelib}/webfaf/templates/stats/*.html

%dir %{python_sitelib}/webfaf/templates/status
%{python_sitelib}/webfaf/templates/status/*.html

%dir %{python_sitelib}/webfaf/templates/summary
%{python_sitelib}/webfaf/templates/summary/*.html

%dir %{python_sitelib}/webfaf/templatetags
%{python_sitelib}/webfaf/templatetags/__init__.py*
%{python_sitelib}/webfaf/templatetags/custom_filters.py*
%{python_sitelib}/webfaf/templatetags/paginator_range.py*
%{python_sitelib}/webfaf/templatetags/settings_value.py*

# /usr/share/faf/
%dir %{_datadir}/faf/web

%dir %{_datadir}/faf/web/media

%dir %{_datadir}/faf/web/static

%dir %{_datadir}/faf/web/static/faf

%dir %{_datadir}/faf/web/static/faf/css
%{_datadir}/faf/web/static/faf/css/style.css

%dir %{_datadir}/faf/web/static/faf/js
%{_datadir}/faf/web/static/faf/js/dumpdirs.js
%{_datadir}/faf/web/static/faf/js/form.js
%{_datadir}/faf/web/static/faf/js/jquery.flot.simplelabel.js
%{_datadir}/faf/web/static/faf/js/metrics.js
%{_datadir}/faf/web/static/faf/js/problem.js
%{_datadir}/faf/web/static/faf/js/report_graph.js

%files webui-bootstrap
%dir %{_datadir}/faf/web/static/bootstrap

%dir %{_datadir}/faf/web/static/bootstrap/css
%{_datadir}/faf/web/static/bootstrap/css/bootstrap-responsive.css
%{_datadir}/faf/web/static/bootstrap/css/bootstrap-responsive.min.css
%{_datadir}/faf/web/static/bootstrap/css/bootstrap.css
%{_datadir}/faf/web/static/bootstrap/css/bootstrap.min.css

%dir %{_datadir}/faf/web/static/bootstrap/img
%{_datadir}/faf/web/static/bootstrap/img/glyphicons-halflings-white.png
%{_datadir}/faf/web/static/bootstrap/img/glyphicons-halflings.png

%dir %{_datadir}/faf/web/static/bootstrap/js
%{_datadir}/faf/web/static/bootstrap/js/bootstrap.js
%{_datadir}/faf/web/static/bootstrap/js/bootstrap.min.js

%files webui-flot
%dir %{_datadir}/faf/web/static/flot

%dir %{_datadir}/faf/web/static/flot/js
%{_datadir}/faf/web/static/flot/js/excanvas.js
%{_datadir}/faf/web/static/flot/js/excanvas.min.js
%{_datadir}/faf/web/static/flot/js/jquery.colorhelpers.js
%{_datadir}/faf/web/static/flot/js/jquery.colorhelpers.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.crosshair.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.crosshair.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.fillbetween.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.fillbetween.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.image.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.image.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.navigate.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.navigate.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.pie.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.pie.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.resize.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.resize.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.selection.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.selection.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.stack.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.stack.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.symbol.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.symbol.min.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.threshold.js
%{_datadir}/faf/web/static/flot/js/jquery.flot.threshold.min.js
%{_datadir}/faf/web/static/flot/js/jquery.js
%{_datadir}/faf/web/static/flot/js/jquery.min.js

%files webui-jquery
%dir %{_datadir}/faf/web/static/jquery

%dir %{_datadir}/faf/web/static/jquery/js
%{_datadir}/faf/web/static/jquery/js/jquery.js

%files webui-select2
%dir %{_datadir}/faf/web/static/select2

%dir %{_datadir}/faf/web/static/select2/css
%{_datadir}/faf/web/static/select2/css/select2.css

%dir %{_datadir}/faf/web/static/select2/img
%{_datadir}/faf/web/static/select2/img/select2.png
%{_datadir}/faf/web/static/select2/img/spinner.gif

%dir %{_datadir}/faf/web/static/select2/js
%{_datadir}/faf/web/static/select2/js/select2.js
%{_datadir}/faf/web/static/select2/js/select2.min.js

%files webui2
# /etc
%config(noreplace) %{_sysconfdir}/httpd/conf.d/faf-web2.conf
%config(noreplace) %{_sysconfdir}/faf/plugins/web2.conf

# /usr/lib/python*/pyfaf
%dir %{python_sitelib}/webfaf2
%{python_sitelib}/webfaf2/__init__.py*
%{python_sitelib}/webfaf2/config.py*
%{python_sitelib}/webfaf2/dumpdirs.py*
%{python_sitelib}/webfaf2/filters.py*
%{python_sitelib}/webfaf2/forms.py*
%{python_sitelib}/webfaf2/hub.wsgi
%{python_sitelib}/webfaf2/login.py*
%{python_sitelib}/webfaf2/problems.py*
%{python_sitelib}/webfaf2/reports.py*
%{python_sitelib}/webfaf2/stats.py*
%{python_sitelib}/webfaf2/summary.py*
%{python_sitelib}/webfaf2/utils.py*
%{python_sitelib}/webfaf2/webfaf2.py*

%dir %{python_sitelib}/webfaf2/templates
%{python_sitelib}/webfaf2/templates/_helpers.html
%{python_sitelib}/webfaf2/templates/403.html
%{python_sitelib}/webfaf2/templates/404.html
%{python_sitelib}/webfaf2/templates/413.html
%{python_sitelib}/webfaf2/templates/500.html
%{python_sitelib}/webfaf2/templates/about.rst
%{python_sitelib}/webfaf2/templates/base.html
%{python_sitelib}/webfaf2/templates/rstpage.html

%dir %{python_sitelib}/webfaf2/templates/dumpdirs
%{python_sitelib}/webfaf2/templates/dumpdirs/list.html
%{python_sitelib}/webfaf2/templates/dumpdirs/new.html

%dir %{python_sitelib}/webfaf2/templates/problems
%{python_sitelib}/webfaf2/templates/problems/item.html
%{python_sitelib}/webfaf2/templates/problems/list.html
%{python_sitelib}/webfaf2/templates/problems/multiple_bthashes.html
%{python_sitelib}/webfaf2/templates/problems/waitforit.html

%dir %{python_sitelib}/webfaf2/templates/reports
%{python_sitelib}/webfaf2/templates/reports/attach.html
%{python_sitelib}/webfaf2/templates/reports/diff.html
%{python_sitelib}/webfaf2/templates/reports/item.html
%{python_sitelib}/webfaf2/templates/reports/list.html
%{python_sitelib}/webfaf2/templates/reports/new.html
%{python_sitelib}/webfaf2/templates/reports/waitforit.html

%dir %{python_sitelib}/webfaf2/templates/stats
%{python_sitelib}/webfaf2/templates/stats/by_date.html

%dir %{python_sitelib}/webfaf2/templates/summary
%{python_sitelib}/webfaf2/templates/summary/index.html

# /usr/share/faf/
%dir %{_datadir}/faf/web2
%dir %{_datadir}/faf/web2/static
%dir %{_datadir}/faf/web2/static/js
%dir %{_datadir}/faf/web2/static/css
%{_datadir}/faf/web2/static/js/*.js
%{_datadir}/faf/web2/static/fonts/glyphicons*
%{_datadir}/faf/web2/static/css/*.css

# /var/spool/faf
%dir %attr(0770, faf, faf) %{_localstatedir}/spool/faf/openid_store

%files problem-coredump
%config(noreplace) %{_sysconfdir}/faf/plugins/coredump.conf
%{python_sitelib}/pyfaf/problemtypes/core.py*

%files problem-java
%config(noreplace) %{_sysconfdir}/faf/plugins/java.conf
%{python_sitelib}/pyfaf/problemtypes/java.py*

%files problem-kerneloops
%config(noreplace) %{_sysconfdir}/faf/plugins/kerneloops.conf
%{python_sitelib}/pyfaf/problemtypes/kerneloops.py*

%files problem-python
%config(noreplace) %{_sysconfdir}/faf/plugins/python.conf
%{python_sitelib}/pyfaf/problemtypes/python.py*

%files yum
%{python_sitelib}/pyfaf/repos/yum.py*

%files opsys-centos
%config(noreplace) %{_sysconfdir}/faf/plugins/centos.conf
%{python_sitelib}/pyfaf/opsys/centos.py*

%files opsys-fedora
%config(noreplace) %{_sysconfdir}/faf/plugins/fedora.conf
%{python_sitelib}/pyfaf/opsys/fedora.py*

%files opsys-rhel
%{python_sitelib}/pyfaf/opsys/rhel.py*

%files action-save-reports
%config(noreplace) %{_sysconfdir}/faf/plugins/save-reports.conf
%{python_sitelib}/pyfaf/actions/save_reports.py*

%files action-archive-reports
%{python_sitelib}/pyfaf/actions/archive_reports.py*

%files action-create-problems
%config(noreplace) %{_sysconfdir}/faf/plugins/create-problems.conf
%{python_sitelib}/pyfaf/actions/create_problems.py*

%files action-shell
%{python_sitelib}/pyfaf/actions/shell.py*

%files action-pull-releases
%{python_sitelib}/pyfaf/actions/pull_releases.py*

%files action-pull-reports
%config(noreplace) %{_sysconfdir}/faf/plugins/pull-reports.conf
%{python_sitelib}/pyfaf/actions/pull_reports.py*

%files action-pull-components
%{python_sitelib}/pyfaf/actions/pull_components.py*

%files action-pull-associates
%{python_sitelib}/pyfaf/actions/pull_associates.py*

%files action-find-components
%{python_sitelib}/pyfaf/actions/find_components.py*

%files action-find-crash-function
%{python_sitelib}/pyfaf/actions/find_crash_function.py*

%files action-repo
%{python_sitelib}/pyfaf/actions/repoadd.py*
%{python_sitelib}/pyfaf/actions/repoassign.py*
%{python_sitelib}/pyfaf/actions/repodel.py*
%{python_sitelib}/pyfaf/actions/repoinfo.py*
%{python_sitelib}/pyfaf/actions/repoimport.py*
%{python_sitelib}/pyfaf/actions/repolist.py*
%{python_sitelib}/pyfaf/actions/repomod.py*
%{python_sitelib}/pyfaf/actions/reposync.py*

%files action-retrace
%config(noreplace) %{_sysconfdir}/faf/plugins/retrace.conf
%{python_sitelib}/pyfaf/actions/retrace.py*

%files action-arch
%{python_sitelib}/pyfaf/actions/archadd.py*
%{python_sitelib}/pyfaf/actions/archlist.py*

%files action-kb
%{python_sitelib}/pyfaf/actions/kbpatadd.py*
%{python_sitelib}/pyfaf/actions/kbpatshow.py*
%{python_sitelib}/pyfaf/actions/kbsoladd.py*
%{python_sitelib}/pyfaf/actions/kbsolshow.py*

%files action-c2p
%{_bindir}/faf-c2p
%{python_sitelib}/pyfaf/actions/c2p.py*

%files action-bugtracker
%{python_sitelib}/pyfaf/actions/bugtrackerlist.py*
%{python_sitelib}/pyfaf/actions/pull_abrt_bugs.py*
%{python_sitelib}/pyfaf/actions/pull_bug.py*
%{python_sitelib}/pyfaf/actions/update_bugs.py*

%files action-stats
%{python_sitelib}/pyfaf/actions/stats.py*

%files action-external-faf
%{python_sitelib}/pyfaf/actions/extfafadd.py*
%{python_sitelib}/pyfaf/actions/extfafshow.py*
%{python_sitelib}/pyfaf/actions/extfafmodify.py*
%{python_sitelib}/pyfaf/actions/extfafdelete.py*
%{python_sitelib}/pyfaf/actions/extfaflink.py*

%files action-external-faf-clone-bz
%config(noreplace) %{_sysconfdir}/faf/plugins/clonebz.conf
%{python_sitelib}/pyfaf/actions/extfafclonebz.py*

%files action-add-compat-hashes
%{python_sitelib}/pyfaf/actions/addcompathashes.py*

%files action-mark-probably-fixed
%{python_sitelib}/pyfaf/actions/mark_probably_fixed.py*

%files bugtracker-bugzilla
%{python_sitelib}/pyfaf/bugtrackers/bugzilla.py*

%files bugtracker-fedora-bugzilla
%{python_sitelib}/pyfaf/bugtrackers/fedorabz.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/fedorabz.conf

%files bugtracker-rhel-bugzilla
%{python_sitelib}/pyfaf/bugtrackers/rhelbz.py*
%config(noreplace) %{_sysconfdir}/faf/plugins/rhelbz.conf

%files migrations
%{python_sitelib}/pyfaf/storage/migrations/__init__.py*
%{python_sitelib}/pyfaf/storage/migrations/env.py*
%{python_sitelib}/pyfaf/storage/migrations/versions/*.py*
%{_bindir}/faf-migrate-db

%changelog
* Mon Apr 15 2013 Michal Toman <mtoman@redhat.com> 0.9-1
- Initial packaging
